%global momorel 5

Summary: 	Utilities for the XFce Desktop Environment
Name: 		xfce-utils
Version: 	4.4.2
Release:	%{momorel}m%{?dist}
License:	GPL
URL: 		http://www.xfce.org/
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
NoSource:       0
Source1:	xinitrc.momonga
Source2:	xfce4.desktop
#Patch0: 	xfterm4-set-TERMCMD-rxvt.patch
Patch1:		%{name}-%{version}-pulseaudio.patch
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: xfce-mcs-manager
Requires: xfwm4
Requires: xfdesktop
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	gtk+-devel >= 2.4.0
BuildRequires:	imake
BuildRequires:	libXt-devel
BuildRequires:	pkgconfig
BuildRequires:	libxml2-devel
BuildRequires: 	gettext

%description
xfce-utils contains utilities for the XFce Desktop Environment

%prep
%setup -q

#%%patch0 -p1
%patch1 -p1 -b .pulseaudio

%build
%configure --enable-gdm

# use new ja.po
rm -f po/ja.gmo

%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}

# use xinitrc.momonga for startxfce4
mv %{buildroot}/%{_sysconfdir}/xdg/xfce4/xinitrc %{buildroot}/%{_sysconfdir}/xdg/xfce4/xinitrc.orig
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/xdg/xfce4/xinitrc

# install gdm session support
mkdir -p %{buildroot}%{_datadir}/xsessions
install -m 755 %{SOURCE2} %{buildroot}%{_datadir}/xsessions/

# delete xfce.desktop file
rm -f %{buildroot}%{_datadir}/xsessions/xfce.desktop

rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/*.a
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/*.la
rm -rf %{buildroot}%{_sysconfdir}/X11

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/xdg/xfce4/*
%{_bindir}/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/xfce4/AUTHORS*
%{_datadir}/xfce4/BSD*
%{_datadir}/xfce4/COPYING*
%{_datadir}/xfce4/GPL*
%{_datadir}/xfce4/INFO*
%{_datadir}/xfce4/LGPL*
%{_datadir}/xfce4/doc/xfce*
%{_datadir}/xfce4/doc/*/images/*
%{_datadir}/xfce4/doc/*/*.html
%{_datadir}/locale/*/*/*
%{_datadir}/xsessions/*.desktop
%{_datadir}/apps/switchdesk/Xclients.xfce4
%{_datadir}/dbus-1/services/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.2-5m)
- rebuild against gcc43

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.2-4m)
- update xinitrc.momonga and pulseaudio.patch

* Fri Mar  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.2-3m)
- update xinitrc.momonga to use pulseaudio

* Fri Mar  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.4.2-2m)
- import pulseaudio.patch from Fedora
 +* Wed Jan 02 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
 +- Add patch to start pulseaudio if installed

* Mon Dec  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.2-1m)
- Xfce 4.4.2

* Sat May 19 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.4.1-2m)
- delete xfce.desktop file

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.1-1m)
- Xfce 4.4.1

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-1m)
- Xfce 4.4.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (4.2.3-5m)
- rebuild against expat-2.0.0-1m

* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-4m)
- delete duplicated dir

* Thu Jun  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.3-3m)
- import xfce4.desktop from Fedora Extras devel

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-2m)
- delete duplicate dir

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3-1m)
- Xfce 4.2.3.2

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Sun Apr 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-2m)                                                   
- revive Patch0: xfterm4-set-TERMCMD-rxvt.patch

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Thu Mar 04 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-2m)                                                   
- comment out Patch0: xfterm4-set-TERMCMD-rxvt.patch

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- Version update to 4.0.5

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- version up to 4.0.2

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Tue Nov 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-2m)
- add xfterm4-set-TERMCMD-rxvt.patch
- add gettext at BuildRequires

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
